Default page size for printing is letter

Bug #10910 reported by Tollef Fog Heen on 2004-12-04
450
This bug affects 73 people
Affects Status Importance Assigned to Milestone
Mozilla Firefox
Fix Released
Medium
firefox (Baltix)
Undecided
Unassigned
firefox (Ubuntu)
Medium
Unassigned
Declined for Intrepid by Steve Langasek
Declined for Jaunty by Steve Langasek
thunderbird (Ubuntu)
Medium
Unassigned
Declined for Intrepid by Steve Langasek
Declined for Jaunty by Steve Langasek

Bug Description

(Default warty install, dist-upgraded to hoary, language chosen is Norwegian)

about:config reports that print.postscript.paper_size is letter, which is wrong
for Norway, it should be A4. It should probably look at LC_PAPER or /etc/papersize

changed title from:

  Default printer settings set to US Letter and inches

to:

  Printer settings should default to appropiate values for the user

So what works these days?

  /etc/papersize

  LC_PAPER

  nl_langinfo(PAPER_HEIGHT) / nl_langinfo(PAPER_WIDTH)

  others?

assign to katakai-san.
please have a look. Thanks

what's the status of this?

I've started working on this.

Tollef Fog Heen (tfheen) wrote :

(Default warty install, dist-upgraded to hoary, language chosen is Norwegian)

about:config reports that print.postscript.paper_size is letter, which is wrong
for Norway, it should be A4. It should probably look at LC_PAPER or /etc/papersize

David Farning (dfarning) wrote :

still open upstream as an enhancement request.

This effects all users outside of the United States. (The other

This has been open upstream for Years.. This is the #4 usability issue with Desktop linux in our organisation. (Which has 30 terminals, 10 permanents and 50 or so rotating people who use our system. For end users setting the paper size is a pain in the arse.

I emphasise it is very important to get this bug,, it is also

Redhat bugs are
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=186735 FC5
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=133658 Devel

This is confirmed and really easy to confirm / reproduce, just set your locale to the UK and AU, then goto File Print in Firefox, also after you have set your print setting to A4 repeat process, it is back on Letter

The Firefox dialogue will never keep the A4 setting.

Alexandre Otto Strube (surak) wrote :

This is really a problem outside US. Perhaps the severity/priority should be changed.

Changed in firefox:
status: Unconfirmed → Confirmed
Changed in firefox:
status: Unconfirmed → Confirmed
Ian Jackson (ijackson) on 2006-09-27
Changed in firefox:
assignee: ijackson → nobody

This issue also affect Thunderbird 1.5.0.7 (tested on Ubuntu 6.10).

Changed upstream bug # to one that have been assigned and is being worked on.

Changed in firefox:
status: Unknown → In Progress
David Farning (dfarning) on 2006-12-31
Changed in firefox:
assignee: nobody → mozillabugs

This bug seems to be the same as https://bugzilla.mozilla.org/show_bug.cgi?id=144625 .

Will be marking that one as duplicate.

Fabián Rodríguez (magicfab) wrote :

Upstream is considered an "enhancement", and open since 2002.

Fabián Rodríguez (magicfab) wrote :

I've asked #144625 upstream to be marked as duplicate of #147419 upstream. This bug is also affecting Thunderbird 1.5.0.7 in Ubuntu 6.10 (Edgy)

David Farning (dfarning) on 2007-02-24
Changed in firefox:
assignee: mozillateam → mozilla-bugs
Fabián Rodríguez (magicfab) wrote :

This has also been escalated to our distro team (Canonical Support).

Masaki, are you still working on this?

Masaki, can you provide any feedback on this ? A month has gone by. Thank you.

I'm very sorry for the late response. I will not be able to work on this area. Anyone can take this?

Changed in firefox:
status: Confirmed → In Progress
Alexander Sack (asac) on 2007-04-27
Changed in firefox:
status: Unconfirmed → Rejected

*** Bug 144625 has been marked as a duplicate of this bug. ***

In , gmud (gmud) wrote :

Since Masaki can't work on this, shouldn't the bug be marked as NEW then?

In , Chl (chl) wrote :

This bug is really annoying. Is anyone interested in solving it? Is there a usual way to support (financially) someone?

Changed in firefox:
status: In Progress → Confirmed
goto (gotolaunchpad) wrote :

This seems to affect Firefox on Windows Vista also. A fix seems to be to manually edit the about:config, which for me required changing the print.*.print_paper_size value from 3539049 to 3276858.

Paul Russell (paul-russell) wrote :

Actually I found the same problem. However I tried the about:config, print.*.print_paper_size change to 3276858 but it didn't seem to work for me. What I did change that worked was changing the value of print.*.print_paper_data from 1 to 9.

Fabián Rodríguez (magicfab) wrote :

Papersize settings are at least remembered in 2.0.0.6/gutsy. Do you see that as well?

User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; es-ES; rv:1.8.1.11) Gecko/20071205 Firefox/2.0.0.11
Build Identifier:

Seems that Firefox/Seamonkey printing dialog doesn't take care of /etc/papersize setting and always defaults to letter instead of "a4" (/etc/papersize is provided by libpaper)

Thanks a lot for fixing this

Reproducible: Always

Steps to Reproduce:
1.
2.
3.

viktara (vik-propco) wrote :

I can confirm paper size setting are remembered in 2.0.0.6/gutsy provided you do actually print a document.

If you click cancel on the print dialog box it will NOT remember the setting.

Fabián Rodríguez (magicfab) wrote :

viktara, right, one needs to print something for this workaround to be effective. Thank you.

Fabián Rodríguez (magicfab) wrote :

Forgot to mention this also works in 6.06.2 LTS.

On Fri, Feb 22, 2008 at 05:12:32AM -0000, Fabián Rodríguez wrote:
> Forgot to mention this also works in 6.06.2 LTS.
>

 affects ubuntu/firefox
 status fixreleased

thanks for the info. closing this issue.

 - Alexander

Changed in firefox:
status: In Progress → Fix Released

*** Bug 430064 has been marked as a duplicate of this bug. ***

confirming based on the dupe

Mandriva's 2008.1 firefox 2.0.0.13 doesn't has this bug though and I don't remember having it on other distributions using firefox 2.x.

It is still valid with 2.0.0.14, hopefully fixed in firefox3 because of gnome-printing usage

(Mandriva applies a lot of patches to their firefox, maybe one of them fixes this)

No it's not fixed in Firefox 3, that's why I reported the bug ;). See the duplicate.

Print failures persist in Hardy Heron :-(

Please fix ASAP, this is a LTS distro with Long-Term PITA for printing

On Fri, May 02, 2008 at 11:13:10AM -0000, Matthias Andree wrote:
> Print failures persist in Hardy Heron :-(
>
> Please fix ASAP, this is a LTS distro with Long-Term PITA for printing
>

this bug is rather old and probably tracks and issue already resolved
at some point. Please open a new bug or search for other existing
duplicates in launchpad first.

 - Alexander

What kind of support nonsense is this? The problem is that firefox again defaults to US Letter, which is exactly what this bug is about, the upstream wasn't fixed <https://bugzilla.mozilla.org/show_bug.cgi?id=147419> so why file new bugs for old stories? Polluting bugs.launchpad is certainly not helping developers.

Changed status to fix released->confirmed, because Matthias Andree reports it's still broken in Hardy. If you can test that it's fixed in Hardy, please change back.

This is a serious bug: not only that it prevents printing, but in many cases it jams the printer and requires someone to physically go to the printer or log in with administrative priviledges.

Changed in firefox:
status: Fix Released → Confirmed
era (era) wrote :

Alexander: I get the impression that you misunderstood comment #15, which I interpret to mean that the *workaround* works in 6.06. Can you confirm this, just to set the record straight?

Alexander Sack (asac) on 2009-01-11
Changed in firefox:
assignee: mozilla-bugs → nobody
status: Confirmed → Triaged
Changed in firefox:
status: Confirmed → In Progress
Micah Gersten (micahg) on 2009-06-01
Changed in firefox (Ubuntu):
status: New → Invalid
affects: firefox-3.0 (Ubuntu) → firefox-3.5 (Ubuntu)
Changed in firefox-3.5 (Ubuntu):
status: Triaged → Incomplete
affects: firefox-3.5 (Ubuntu) → firefox-3.0 (Ubuntu)
Changed in firefox-3.0 (Ubuntu):
status: Incomplete → Triaged
Changed in firefox-3.5 (Ubuntu):
status: New → Triaged
Changed in firefox (Ubuntu):
status: Invalid → Confirmed
Changed in firefox:
importance: Unknown → Medium
96 comments hidden view all 176 comments

Best file a separate bug, thanks Nik.
This bug is about the Linux implementation while you are seeing a problem on MS Windows. Fixing this bug will not fix your issue.

(In reply to comment #71)
> Best file a separate bug, thanks Nik.
> This bug is about the Linux implementation while you are seeing a problem on
> MS Windows. Fixing this bug will not fix your issue.

Ah, ok. I was trying to avoid bug duplication...

Cheers!
Nik

exactt (giesbert) wrote :

Same problem with Thunderbird 5.0 stable on Natty.

Changed in ubufox (Ubuntu):
status: New → Confirmed
Stéphane (stephane-treboux) wrote :

Hi,

I have the same bug in Firefox 7.0.1 on a french installation of Kubuntu 11.10.
The standard paper format in France is A4.

I always use the last stable version of Firefox distributed by Canonical.
I print each month a PDF receipt of the payment of my rent (I pay at the end of the month).
I never cared about setting the paper format.

So it is interesting to see what happened in the last years, the format of my receipts has been continuously changing over the time:
August 2008 to February 2009: A4 (intrepid)
March 2009 to March 2011: US letter (jaunty, karmic, lucid, maverick)
April 2011 to August 2011: A4 (natty)
August 2011 to now: US letter (natty, oneiric)

The change from US letter to A4 end of April 2011 can be related with the update to Firefox 4.0.
The last change back to US letter can be related with the update to Firefox 7.0.

The workaround proposed in https://bugs.launchpad.net/firefox/+bug/10910/comments/109 worked for me.
A fix should change the FF setting according to the locale.

1 comments hidden view all 176 comments

I just did a new installation of Xubuntu 11.10, and then upgraded all the packages. The resulting Firefox version is 11.0.

I changed the contents of my /etc/defaults/locale file to

LANG="en_GB.UTF-8"
LC_TIME="en_DK.UTF-8"

then logged out and back in again. Now, when I print a page from Firefox, A4 is the paper size used, which is correct, but when I do a print-to-file, the default paper size is still letter. So this bug has not yet been completely fixed.

By the way, it's coming up on the bug's tenth birthday. Should we get together to buy something nice for it, what do you say?

Teemu Leisti (teemu-leisti) wrote :

As I just commented in the sister bug on the Mozilla bugzilla (https://bugzilla.mozilla.org/show_bug.cgi?id=147419):

I just did a new installation of Xubuntu 11.10, and then upgraded all the packages. The resulting Firefox version is 11.0.

I changed the contents of my /etc/defaults/locale file to

LANG="en_GB.UTF-8"
LC_TIME="en_DK.UTF-8"

then logged out and back in again. Now, when I print a page from Firefox, A4 is the paper size used, which is correct, but when I do a print-to-file, the default paper size is still letter. So this bug has not yet been completely fixed.

By the way, it's coming up on the bug's tenth birthday. Should we get together to buy something nice for it, what do you say?

1 comments hidden view all 176 comments

Try to put a file in /etc/thunderbird/pref, which is used by the ubuntu thunderbird with the following content:

//
pref("print.print_landscape", false);
pref("print.print_paper_size_height", "297,00");
pref("print.print_paper_size_width", "210,00");
pref("print.print_paper_size_unit", 1);
pref("print.print_paper_size_type", 1);
pref("print.print_paper_name", "iso_a4");
//
pref("print.postscript.paper_name", "iso_a4");
pref("print.postscript.orientation", "portrait");

That should work as a default for the first use of a printer.

exactt (giesbert) wrote :

@ferro : your work-around isn't working for me. which version of ubuntu/thunderbird are you on? how did you name the file?

i am on ubuntu natty, with thunderbird 12 i run it on a terminal server with 20 users on it. Before that i utilized thinderbird 3 as long as i could. I had to adjust the parameters with that change, as they were a little different in version 3. I named the file "aa_paper.js", i have others in that directory too, like aa_proxy.js and aa_cache.js for variuous global settings. Files in that directory are processed in reversed sort order (at least that waas like this in version 3), therefore mine start with aa_ . File name must end with .js
When you test this, you should completely wipe or move the ~/.thunderbird folder to make sure that user settings do not interfere, because they would have preference over global settings.
hope that helps!

Happy belated tenth birthday, dear bug!

Add the prefs lines from #143 to the file /etc/firefox/syspref.js instead of seperate files. I tested this on a Ubuntu 12.04 with firefox 13 and it works as defaults for user-settings that you create after that change. It does not override user-settings that exists already! In this case you can change these settings with #147. In #143 i am referring to thunderbird. I hope this is not confusing, but this works equivalently for firefox if you user /etc/firefox/pref instead of /etc/thunderbird/pref. In theory you could also use /usr/lib/firefox/defaults/pref for the settings but anything you change here will be gone with the next firefox update.

I must correct: the subdirectory /etc/firefox/pref is outdated and no more used by recent versions in ubuntu. Put adjustments to /etc/firefox/syspref.js works.

You can also lock down these settings, then these settings override user-settings. To do that you have to use
lockPref("print.print_paper_name", "iso_a4"); instead of pref("print.print_paper_name", "iso_a4");. This has been improved, as it did not work properly with older versions of firefox.

Paul Crawford (psc-sat) wrote :

This bug is STILL not fixed in 10.04 with Firefox 14.0.1
Is this related to bug #627648 that applies to both Firefox and Thunderbird and why, after 8 YEARS is this still an issue for the majority of the world that use A4 paper and not US Letter?
Seriously, what is happening here?

Micah Gersten (micahg) on 2012-07-23
no longer affects: firefox-3.0 (Ubuntu)
no longer affects: firefox-3.5 (Ubuntu)
Micah Gersten (micahg) wrote :

Cleaned up the bug tasks a little, we don't need 2 upstream tasks since this is in the Core. firefox-3.5 and firefox-3.0 don't exist in supported stable Desktop releases. Ubufox isn't affected either as it's doing nothing wrong.

no longer affects: ubufox (Ubuntu)
Changed in thunderbird (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in firefox (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged
no longer affects: thunderbird
Paul Crawford (psc-sat) wrote :

Just to add to this bug discussion my observation in bug #627648 that the about:support setting for user-modified parameters do not appear to change in any when you alter the global paper size, which may be related to why this is continually reset on version 'upgrades'. This trait makes the lack of correct system-based defaults even worse as every user's account has to be manually reset following any security fixes, etc, for Firefox and Thunderbird.

Roland Orre (roland-orre) wrote :

I noticed that when I set
print.postscript.paper.size = iso_a4
instead of A4, in about:config
I do no longer get the warning message from Gtk
(I noticed that there were a few other settings that used iso_a4)
I did work though but I don't like warning messages.

Changed in firefox (Baltix):
status: Invalid → Confirmed
John John Doe (johnjohndoe) wrote :

I cannot manage to find the right setting for Firefox 17.0.1 on Ubuntu 12.04.
Can someone please provide an advise on how to configure A4 as the default page size?

Andre (ajx) wrote :

Hello John, I'm sorry. This is not a support forum. Please head over to http://askUbuntu.com/ where you will get quickly a reply. You can login to AskUbuntu with your Launchpad/Ubuntu-Account by choosing OpenID.

Am 18.12.2012 04:55, schrieb Andre:
> Hello John, I'm sorry. This is not a support forum. Please head over to
> http://askUbuntu.com/ where you will get quickly a reply. You can login
> to AskUbuntu with your Launchpad/Ubuntu-Account by choosing OpenID.
>

"Cannot find" entails "is not listed", and may be a related bug. Do not
bluntly brush these off, but handle properly.

In firefox 20.0, print to file defaults to letter. If I change this to A4, the PDF file on disk is still marked as size Letter. So various PDF readers assume it's Letter.

in print-to-file I first have to select a different paper size (any different paper size), then re-select A4, then I get A4 paper size in the .pdf. Otherwise I get letter.

printer_Print_to_File.print_paper_name=iso_a4

Bruce Kingsbury (zcat-u) wrote :

I like everything else about firefox except for this one infuriating bug.

This bug was first filed in 2004. It's now 2013. I've just upgraded to Firefox 24.0 on Debian and my default paper size has, once again as it does every upgrade, reverted to the US_Letter papersize.

I live in the other 96% of the world that uses A4 paper, so every time I try to print from Firefox I get an error message on my printer.

OpenOffice and Libreoffice get the paper size right. GIMP gets the paper size right. Inkscape gets the papersize right. Abiword gets the paper size right. Gedit gets the paper size right. Tuxpaint gets the papersize right. EVERY OTHER program I use under any distro of Linux manages to correctly determine that I use A4 paper and doesn't give me any problems.

But not Firefox.

Firefox defaults to US_Letter. Even though my printer is set for A4. Even though my language is en_NZ. Even when I've manually changed ALL of the defaults back to A4 under about:config it still bloody-mindedly sets everything back to US-Letter every singe time there's some minor point-update of Firefox.

Firefox is the ONLY program that does this.

And it's been doing it far too long.

Pleas, for the love of Free Software, FIX THIS BUG.

Bruce Kingsbury (zcat-u) wrote :

So continuing my previous rant;

I have just followed the procedure of

1) Download Firefox-24.0 English(UK) version for Linux
2) Download Firefox-24.0 English(UK) version for Linux again and compare just to be sure I didn't accidentally get the wrong one
3) Check environment and observe LANG=en_NZ.UTF-8
4) Check printer settings and see that default paper size is A4
5) rm -rf ~/.mozilla so there are no previous settings.
6) As root, rm -rf /opt/firefox and extract the one I just downloaded
7) as normal user again, run firefox and get the usual first-run page
8) about:config and search for paper_size

Observe that paper size is letter.

There is nothing on my computer that suggests it should be using letter, and as mentioned earlier no other program that I ever print from has EVER decided that the paper size should be letter. Only firefox gets this wrong. It's been getting it wrong now for about ten years.

I have just followed the procedure of;

1) Download Firefox-24.0 English(UK) version for Linux
2) Download Firefox-24.0 English(UK) version for Linux again and compare just to be sure I didn't accidentally get the wrong one
3) Check environment and observe LANG=en_NZ.UTF-8
4) Check printer settings and see that default paper size is A4
5) rm -rf ~/.mozilla so there are no previous settings.
6) As root, rm -rf /opt/firefox and extract the one I just downloaded
7) as normal user again, run firefox and get the usual first-run page
8) about:config and search for paper_size

Observe that paper size is letter.

There is nothing on my computer that suggests it should be using letter, and no other program that I ever print from has EVER decided that the paper size should be letter. Only firefox gets this wrong. It's been getting it wrong now for well over ten years.

I like everything else about firefox except for this one infuriating bug.

This bug was first filed in 2002. It's now 2013. I've just upgraded to Firefox 24.0 on all my machines and my default paper size has, once again as it does every upgrade, reverted to the US_Letter papersize.

I live in the other 96% of the world that uses A4 paper, so every time I try to print from Firefox I get an error message on my printer.

OpenOffice and Libreoffice get the paper size right. GIMP gets the paper size right. Inkscape gets the papersize right. Abiword gets the paper size right. Gedit gets the paper size right. Tuxpaint gets the papersize right. EVERY OTHER program I use under any distro of Linux manages to correctly determine that I use A4 paper and doesn't give me any problems.

But not Firefox.

Firefox defaults to US_Letter. Even though my printer is set for A4. Even though my language is en_NZ. Even when I've manually changed ALL of the defaults back to A4 under about:config it still bloody-mindedly sets everything back to US-Letter every singe time there's some minor point-update of Firefox.

Firefox is the ONLY program that does this.

And it's been doing it far too long.

Pleas, for the love of Free Software, FIX THIS BUG.

I have submitted a duplicate and have been following this bug for years, saddly seeing no resolution at all. Some stuff must be made clear:

Paper size names are surely locale dependent ("Letter" in the US is "Carta" in Brazil), but the default value for the paper size is NOT. It is determined by the host operating system, i.e., the software component which is responsible for handling the printers and their queues. Any default value provided by Firefox, anywhere, is WRONG. Please find every line setting a default value and get rid of it.

I have not noticed this bug acting for quite a while in Windows and Mac OS, so this is clearly a platform independent feature which which was corrected the wrong way, probably in the platform dependent module. The linux module should get this values from cups, and that's it -- why on earth does 'letter' keeps popping up? Where does this value come from? Please get rid of it, I already abandoned Firefox for any printing in my Linux boxes, and I am on the verge of abandoning it whatsoever, just because of this stupid little bug which persists for more than a decade.

I cannot even find a place to buy letter-sixed paper if I needed to. It doesn't exist in Brazil, although some weird legal sizes are still used in some time-shifted places like notary offices and advocacy firms.

Weather websites are smart enough to tell I'm im Rio de Janeiro, but show temperatures in Fahrenheit and wind speed in miles/h. My new GPS app knows I'm im Brazil but shows distandes in miles and yards. My music editor (made in Europe!) gets the paper size right, but still defaults margins in inches, and worst: when I change them, they get rounded to the nearest inch fraction, so I keep getting 2.98 mm instead of 3.00 ! How an European software chooses to use inches inside it is beyond my understanding. This must have something to do with (very old) development frameworks.

Firefox should not be this dumb, and specially not in a internationally freely distributed OS like Linux.

Please do something. Let us get rid of all US medieval defaults, they're like a curse.

I completely agree with the last two commenters. This bug is getting beyond ridiculous. It is an embarrassment for Mozilla. Just fix it, already.

Well the whole situation is very complex, the other platform code is more or less broken too.
Bug 629500 sums the whole situation quite good and looks like a welcome refactor of the whole code base, maybe it will land in the next years? Feels like gecko/firefox printing is stuck in IE6 age...

I'm also annoyed that every firefox i run have the letter as default page size... and of course, one only discovers this after trying to print and nothing show up on the printer.

If in the past, print was little used, with the PDFjs, people start to print a lot more from firefox, making this issue more important.

If this can not be "fixed", at very least remove the default, leave it BLANK... on first printing, ask what paper size one wants... is not as friendly as a default, but having a broken default, trying to print and getting nothing is even worst. Most people will never know that the problem is the wrong paper size and don't understand why they don't have any printout.

https://bugzilla.mozilla.org/show_bug.cgi?id=947125

Actually, while the windows version works better, it is screwed too, specially on unusually paper sizes and margins.

The main problem with "letter" is, that the gtk code part can't understand ps paper names, and the ps paper names doesn't understand iso_a4.

The right solution would be to drop the whole thing and query printer and paper names directly via ipp or use only gtk code and throw the old cups lib and ps based query solution.

Considering the other bug #629500 is stuck as well.
My solution will be my own private inhouse addon as can no longer wait for a solution.
The win32 version works more or less, except CSS2 Margins are still broken.
For the linux version I plan to to use a ipp based solution or directly accessing cups via js-ctypes.

Accessing CUPS via socket and ipp protocol, query paper sizes, create a postscript file and send it directly should be a more future proof technology. Technical that should work on OSX and if you have the right url with any ipp aware network printer, but that isn't my goal.

Changed in firefox:
status: In Progress → Fix Released
Teemu Leisti (teemu-leisti) wrote :

Fix released? Amazing! Will we see it in Ubuntu 15.10?

Should land for Firefox 41, which will be a few weeks (22nd Sept) before 15.10 arrives.

Elias Aarnio (elias-aarnio) wrote :

The fix does not work as per now.

My suggestion is: erase all countries 1) using letter size paper and/or 2) using imperial measurements instead of metric.

I'm fed up with the "bliss" of not knowing anything about life outside one's own country.

rpr nospam (rpr-nospam) wrote :

I've tested Firefox 41 on Ubuntu 15.04 and I'd say that the issue has been fixed. Here is the test procedure:

(1) Check your Regional Formats in System Settings > Language > Language Support > Regional Formats. Let's say this option is set to "English (United Kingdom)" (if you change it, the change takes effect the next time you log in). That option will change the environment variables for various locale categories including LC_PAPER.
(2) Start Firefox with default user settings. You can do it by running "firefox -P" and creating a new user profile.
(3) Try to print (Ctrl+P). On the Page Setup tab you get "Paper size: A4".

I get this result even without step (2).

If the Regional Formats are set to "English (United States)" then you get "Paper Size: US Letter".

You can also test this without changing Regional Formats: in the Terminal Window run the following commands and check the paper size as in step (3) above:

LC_PAPER=en_GB.UTF-8 firefox

LC_PAPER=en_US.UTF-8 firefox

ebrjvd (jos-van-dyck) wrote :

Paper size shall be independent of language or locale.
It should be a parameter that can be set by the user, depending on stationery that is being used in the printer.
There may be a default size, depending on geographical region (normal paper size sold in that country), but NOT on language.

Elias Aarnio (elias-aarnio) wrote :

The bug still exists in Thunderbird (not sure about Firefox). Every time Thunderbird is updated the paper size is changed to letter even if the user uses locale for which the right size is A4.

Check out this: http://ubuntuforums.org/showthread.php?t=889088&p=12423297#post12423297

Could it be the case that when Thunderbird update is installed, update process does not check at all what is 1) in the locale or 2) what value Thunderbird config variable print.postscript.paper_size has? This would explain the nasty behaviour.

Elias Aarnio (elias-aarnio) wrote :

I tested my hypothesis above. I made a Live USB stick with space to save settings and updates. I used ubuntu-14.04.2-desktop-amd64.iso. After changing languge settings to finnish and installing all localization files I opened Firefox for the first time. Paper size in firefox was letter, not A4 as it is supposed to be.

Then I changed the variable print.postscript.paper_size to iso_a4 in Firefox config, closed and reopened Firefox and checked if the paper size change persisted. It did, also it was still A4.

After that I did sudo apt-get update followed by sudo apt-get upgrade. After that and restarting Firefox the paper size was still A4.

I think this proves my guess was wrong.

There is something else that changes the paper size _back_ to letter size from A4 because this happens to me quite often.

rpr nospam (rpr-nospam) wrote :

Elias, in you comment #175 you didn't wrote which version of Firefox you had when you run it for the first time.

Also, have you noticed that if you make a change in
Regional Formats in System Settings > Language > Language Support > Regional Formats
the change takes effect the next time you log in (see my comment #172).
Then check what you get when you run the locale command in the terminal window.

Displaying first 40 and last 40 comments. View all 176 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.